> For the complete documentation index, see [llms.txt](https://en.docs.monaca.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://en.docs.monaca.io/tutorials.md).

# Tutorials

## Product tutorials

{% content-ref url="/pages/-MfWeAi\_cLwi4nQiNa3E" %}
[Monaca Cloud IDE Tutorial](/tutorials/monaca_ide.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAkFu7Iudd9LnJZc" %}
[Monaca Localkit Tutorial](/tutorials/monaca_localkit.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAgY0RKTdjrXdnJf" %}
[Monaca CLI Tutorial](/tutorials/monaca_cli.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAlFv1wbPs6VGI1O" %}
[Electron Tutorial](/tutorials/cordova_electron.md)
{% endcontent-ref %}

## Plugin tutorials

{% content-ref url="/pages/gU0W2s54VZeGSBe1155f" %}
[Barcode Scanner Plugin](/tutorials/barcode-scanner.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAmkQbsMyycrSDGw" %}
[Cordova SQLite Storage Plugin](/tutorials/sqlite.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAgkO5\_LTxkjKJD5" %}
[Cordova Google Analytics Plugin](/tutorials/google_analytics.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAfxwUempdoD\_7rS" %}
[Cordova Firebase Plugin](/tutorials/firebase.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAkMmRrKFio2wIB1" %}
[Cordova In-app Purchase Plugin](/tutorials/in-app_purchase.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAgIGH\_lLzbHf705" %}
[Cordova AppVersion Plugin](/tutorials/app_version.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAgTl-7YJlEX0t8K" %}
[Cordova Ionic Keyboard Plugin](/tutorials/ionic_keyboard.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAfTTBQ1zyiQYVZx" %}
[Cordova Social Sharing Plugin](/tutorials/social_sharing.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MfWeAhD3lC-3gD1UT3-" %}
[Phonegap Push Plugin](/tutorials/phonegap_push.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://en.docs.monaca.io/tutorials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
